{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-65.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "kf5-kpackage-5.115.0-1.fc40",
        "store-results-to": "/tmp/tmpmzq41yab/kf5-kpackage-5.115.0-1.fc40.tar.xz",
        "time-created": "2024-07-03 13:48:54",
        "time-finished": "2024-07-03 13:51:01",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpmzq41yab/kf5-kpackage-5.115.0-1.fc40.tar.xz' '--gcc-analyze' '/tmp/tmpmzq41yab/kf5-kpackage-5.115.0-1.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "79f90c5e4f6d74e6000ec467ef055268f4cc5339",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/private/packagejobthread.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘bool KPackage::PackageJobThread::installPackage(const QString&, const QString&, OperationType)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/private/packagejobthread.cpp",
                    "line": 222,
                    "column": 52,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘static KPluginMetaData KPluginMetaData::fromDesktopFile(const QString&, const QStringList&)’ is deprecated: Since 5.92. Use json files or embedded json metadata directly",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  222 |             meta = KPluginMetaData::fromDesktopFile(metadataFilePath, {QStringLiteral(\":/kservicetypes5/kpackage-generic.desktop\")});",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/KPluginMetaData",
                    "line": 1,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/package.h",
                    "line": 15,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/private/packagejobthread_p.h",
                    "line": 11,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/private/packagejobthread.cpp",
                    "line": 8,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/kpluginmetadata.h",
                    "line": 247,
                    "column": 28,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  247 |     static KPluginMetaData fromDesktopFile(const QString &file, const QStringList &serviceTypes = QStringList());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                            ^~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  220|   #if KCOREADDONS_BUILD_DEPRECATED_SINCE(5, 92)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  221|           if (metadataFilePath.endsWith(QLatin1String(\".desktop\"))) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  222|->             meta = KPluginMetaData::fromDesktopFile(metadataFilePath, {QStringLiteral(\":/kservicetypes5/kpackage-generic.desktop\")});",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  223|           } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  224|               meta = KPluginMetaData::fromJsonFile(metadataFilePath);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "9a07abde76bf8e5cf56406305b36645da8c026f5",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/private/packagejobthread.cpp",
                    "line": 275,
                    "column": 59,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘static KPluginMetaData KPluginMetaData::fromDesktopFile(const QString&, const QStringList&)’ is deprecated: Since 5.92. Use json files or embedded json metadata directly",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  275 |                 oldMeta = KPluginMetaData::fromDesktopFile(targetName + QLatin1String(\"/metadata.desktop\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                           ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/kpluginmetadata.h",
                    "line": 247,
                    "column": 28,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  247 |     static KPluginMetaData fromDesktopFile(const QString &file, const QStringList &serviceTypes = QStringList());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                            ^~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  273|   #if KCOREADDONS_BUILD_DEPRECATED_SINCE(5, 92)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  274|               } else if (QFileInfo::exists(targetName + QLatin1String(\"/metadata.desktop\"))) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  275|->                 oldMeta = KPluginMetaData::fromDesktopFile(targetName + QLatin1String(\"/metadata.desktop\"));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  276|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  277|               }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "a5d43d2b8024e58d0ae97facf99fe77910d7965f",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/packageloader.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘QList<KPluginMetaData> KPackage::PackageLoader::listPackages(const QString&, const QString&)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/packageloader.cpp",
                    "line": 188,
                    "column": 56,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘static KPluginMetaData KPluginMetaData::fromDesktopFile(const QString&, const QStringList&)’ is deprecated: Since 5.92. Use json files or embedded json metadata directly",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  188 |                 info = KPluginMetaData::fromDesktopFile(metadataPath);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/KPluginMetaData",
                    "line": 1,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/package.h",
                    "line": 15,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/redhat-linux-build/src/kpackage/kpackage/package.h",
                    "line": 1,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/packageloader.h",
                    "line": 10,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/packageloader.cpp",
                    "line": 7,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/kpluginmetadata.h",
                    "line": 247,
                    "column": 28,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  247 |     static KPluginMetaData fromDesktopFile(const QString &file, const QStringList &serviceTypes = QStringList());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                            ^~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  186|   #if KCOREADDONS_BUILD_DEPRECATED_SINCE(5, 92)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  187|               if (metadataPath.endsWith(QLatin1String(\".desktop\"))) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  188|->                 info = KPluginMetaData::fromDesktopFile(metadataPath);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  189|               } else {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  190|                   info = KPluginMetaData::fromJsonFile(metadataPath);",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "8437aba395c0c6743d563034bc729997a6f059c3",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/package.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘void KPackage::PackagePrivate::createPackageMetadata(const QString&)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/package.cpp",
                    "line": 989,
                    "column": 52,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘static KPluginMetaData KPluginMetaData::fromDesktopFile(const QString&, const QStringList&)’ is deprecated: Since 5.92. Use json files or embedded json metadata directly",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  989 |         metadata = KPluginMetaData::fromDesktopFile(path + QStringLiteral(\"/metadata.desktop\"), {QStringLiteral(\":/kservicetypes5/kpackage-generic.desktop\")});",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/KPluginMetaData",
                    "line": 1,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/package.h",
                    "line": 15,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/package.cpp",
                    "line": 10,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/kpluginmetadata.h",
                    "line": 247,
                    "column": 28,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  247 |     static KPluginMetaData fromDesktopFile(const QString &file, const QStringList &serviceTypes = QStringList());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                            ^~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  987|   #if KCOREADDONS_BUILD_DEPRECATED_SINCE(5, 92)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  988|       } else if (isDir && QFile::exists(path + QStringLiteral(\"/metadata.desktop\"))) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  989|->         metadata = KPluginMetaData::fromDesktopFile(path + QStringLiteral(\"/metadata.desktop\"), {QStringLiteral(\":/kservicetypes5/kpackage-generic.desktop\")});",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  990|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  991|       } else {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "fa9be7de0cabbb2303a96c589e0fe45de47a7ba6",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/package.cpp",
                    "line": 996,
                    "column": 56,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘static KPluginMetaData KPluginMetaData::fromDesktopFile(const QString&, const QStringList&)’ is deprecated: Since 5.92. Use json files or embedded json metadata directly",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  996 |             metadata = KPluginMetaData::fromDesktopFile(path, {QStringLiteral(\":/kservicetypes5/kpackage-generic.desktop\")});",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                        ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/kpluginmetadata.h",
                    "line": 247,
                    "column": 28,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  247 |     static KPluginMetaData fromDesktopFile(const QString &file, const QStringList &serviceTypes = QStringList());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                            ^~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  994|   #if KCOREADDONS_BUILD_DEPRECATED_SINCE(5, 92)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  995|           } else if (path.endsWith(QLatin1String(\".desktop\"))) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  996|->             metadata = KPluginMetaData::fromDesktopFile(path, {QStringLiteral(\":/kservicetypes5/kpackage-generic.desktop\")});",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  997|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  998|           } else {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 477,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "8aa57e80feb4f131d20b28a716849d3eb4d27767",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackagetool/kpackagetool.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘void KPackage::PackageTool::showAppstreamInfo(const QString&)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackagetool/kpackagetool.cpp",
                    "line": 408,
                    "column": 45,
                    "event": "warning[-Wdeprecated-declarations]",
                    "message": "‘static KPluginMetaData KPluginMetaData::fromDesktopFile(const QString&, const QStringList&)’ is deprecated: Since 5.92. Use json files or embedded json metadata directly",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  408 |         i = KPluginMetaData::fromDesktopFile(pluginName + QStringLiteral(\"/metadata.desktop\"), {QStringLiteral(\":/kservicetypes5/kpackage-generic.desktop\")});",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |             ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/KPluginMetaData",
                    "line": 1,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackage/package.h",
                    "line": 15,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/redhat-linux-build/src/kpackage/kpackage/package.h",
                    "line": 1,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/src/kpackagetool/kpackagetool.cpp",
                    "line": 16,
                    "event": "included_from",
                    "message": "Included from here.",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/usr/include/KF5/KCoreAddons/kpluginmetadata.h",
                    "line": 247,
                    "column": 28,
                    "event": "note",
                    "message": "declared here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  247 |     static KPluginMetaData fromDesktopFile(const QString &file, const QStringList &serviceTypes = QStringList());",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                            ^~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  406|   #if KCOREADDONS_BUILD_DEPRECATED_SINCE(5, 92)",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  407|       } else if (QFile::exists(pluginName + QStringLiteral(\"/metadata.desktop\"))) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  408|->         i = KPluginMetaData::fromDesktopFile(pluginName + QStringLiteral(\"/metadata.desktop\"), {QStringLiteral(\":/kservicetypes5/kpackage-generic.desktop\")});",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  409|   #endif",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  410|       } else {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "COMPILER_WARNING",
            "cwe": 252,
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "527f607285188e76d4fa6f257206a1bd7b3e2851",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/autotests/querytest.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘void QueryTest::installAndQuery()’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-kpackage-5.115.0-build/kpackage-5.115.0/autotests/querytest.cpp",
                    "line": 60,
                    "column": 11,
                    "event": "warning[-Wunused-result]",
                    "message": "ignoring return value of ‘int system(const char*)’ declared with attribute ‘warn_unused_result’",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   60 |     system(\"find '/Users/alex/.qttest/Library/Application Support'\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |     ~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   58|       QVERIFY(checkedInstall(ps, QFINDTESTDATA(\"data/testfallbackpackage\"), KJob::NoError));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   59|       QVERIFY(checkedInstall(ps, QFINDTESTDATA(\"data/testjsonmetadatapackage\"), KJob::NoError));",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   60|->     system(\"find '/Users/alex/.qttest/Library/Application Support'\");",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   61|       QCOMPARE(KPackage::PackageLoader::self()->listPackages(QStringLiteral(\"KPackage/Generic\")).count(), 3);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   62|   ",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
